aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authordanieltourde <danieltourde@32389bae-6d03-0410-99cf-db05cde120eb>2008-05-21 21:11:21 +0000
committerdanieltourde <danieltourde@32389bae-6d03-0410-99cf-db05cde120eb>2008-05-21 21:11:21 +0000
commitdcb3858dce886640464573c3a2edfd5292624597 (patch)
tree73f548d0be39b56ad9942d91a668fc9ff2ba423b /sci-misc/salome-geom
parentInitial update. There is still some work to do but it starts to get shape! ;) (diff)
downloadsci-dcb3858dce886640464573c3a2edfd5292624597.tar.gz
sci-dcb3858dce886640464573c3a2edfd5292624597.tar.bz2
sci-dcb3858dce886640464573c3a2edfd5292624597.zip
Initial update. There is still some work to do but it starts to get shape! ;)
See bug #155974 git-svn-id: http://overlays.gentoo.org/svn/proj/science/overlay@1084 32389bae-6d03-0410-99cf-db05cde120eb
Diffstat (limited to 'sci-misc/salome-geom')
-rw-r--r--sci-misc/salome-geom/Changelog7
-rw-r--r--sci-misc/salome-geom/Manifest4
-rw-r--r--sci-misc/salome-geom/files/salome-geom-3.2.6.patch39
-rw-r--r--sci-misc/salome-geom/salome-geom-3.2.6.ebuild149
4 files changed, 199 insertions, 0 deletions
diff --git a/sci-misc/salome-geom/Changelog b/sci-misc/salome-geom/Changelog
new file mode 100644
index 000000000..77596577e
--- /dev/null
+++ b/sci-misc/salome-geom/Changelog
@@ -0,0 +1,7 @@
+# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# $Header: $
+21 May 2008; Daniel Tourde <daniel.tourde@caelae.se>
+ Initial import.
+ +salome-geom-3.2.6.ebuild, +salome-geom-3.2.6.patch
+ A major thank to Francois Dorin <f.dorin@free.fr>, Jon Hood <squinky86@gmail.com>, Dewald Pietersen <dewald.pieterse@gmail.com>, <etienne.lorriaux@gmail.com> and Richard Westwell <garlicbread@ntlworld.com> for their respective contributions and feedback. Without you guys, the Salome ebuilds would not exist today. Thanks!
+ See bug #155974 for more info \ No newline at end of file
diff --git a/sci-misc/salome-geom/Manifest b/sci-misc/salome-geom/Manifest
new file mode 100644
index 000000000..fe65b19dd
--- /dev/null
+++ b/sci-misc/salome-geom/Manifest
@@ -0,0 +1,4 @@
+AUX salome-geom-3.2.6.patch 1283 RMD160 04d75a8882a853f38aec7f9b26b0d9f64eb15154 SHA1 8db9ecd670cdf64921574f4b632b43daad5d602a SHA256 5e162b7c1ac10d4510b474beed0b502e700cc99d1ed5d11f107aaaea3b1cbf43
+DIST salome-3.2.6.tar.gz 88763725 RMD160 0a0b77aa538832265416605bf502df9e790b45b7 SHA1 e4736b8431d3a4f43541e09eed861f88a2a2f439 SHA256 1f4ae59538675242b179fa2af9bf9adeffe87c8d80d3e6798bca03eafc0bb258
+EBUILD salome-geom-3.2.6.ebuild 4148 RMD160 13dc514eb297227b855fd4a855d0a5f1fcb0c388 SHA1 b8af0fb874c7460b437fb1e7ceea66302e510789 SHA256 4d2e73167788cae8c281852f097469decff10efdfc4fdc7a95c56792d7edabd0
+MISC Changelog 564 RMD160 0c06db4cf6215cd8ed9e158f325108e66ddf0b6c SHA1 c8db8a6049245f7edf97cb42b040911688d54b47 SHA256 099eb3f281447ca0a3584d2cb18991290848c0ce54365e6f482723d80fcf961e
diff --git a/sci-misc/salome-geom/files/salome-geom-3.2.6.patch b/sci-misc/salome-geom/files/salome-geom-3.2.6.patch
new file mode 100644
index 000000000..f537d9e37
--- /dev/null
+++ b/sci-misc/salome-geom/files/salome-geom-3.2.6.patch
@@ -0,0 +1,39 @@
+--- ./GEOM_SRC_3.2.6/build_configure.org 2007-04-24 18:40:50.000000000 +0200
++++ ./GEOM_SRC_3.2.6/build_configure 2008-01-07 10:28:14.000000000 +0100
+@@ -116,7 +116,7 @@
+
+ # make a link allowing AC_OUTPUT to find the salome_adm/.../*.in files
+ echo "" >> configure.in_tmp1
+-echo 'ln -fs ${KERNEL_ROOT_DIR}/salome_adm ${ROOT_SRCDIR}/.' >> configure.in_tmp1
++echo 'cp -prf ${KERNEL_ROOT_DIR}/salome_adm ${ROOT_SRCDIR}/.' >> configure.in_tmp1
+
+ echo "" >> configure.in_tmp1
+ echo "AC_OUTPUT([ \\" >> configure.in_tmp1
+--- ./GEOM_SRC_3.2.6/adm_local/Makefile.in.org 2007-04-24 18:40:50.000000000 +0200
++++ ./GEOM_SRC_3.2.6/adm_local/Makefile.in 2008-01-07 11:34:23.000000000 +0100
+@@ -27,12 +27,12 @@
+ all: resources
+
+ install:
+- cp -rf @top_srcdir@/adm_local @prefix@
++# cp -rf @top_srcdir@/adm_local @prefix@
+
+ bin:
+
+ resources :
+- cp -rf @top_srcdir@/adm_local $(top_builddir)
++# cp -rf @top_srcdir@/adm_local $(top_builddir)
+
+ inc:
+
+--- ./GEOM_SRC_3.2.6/doc/salome/gui/Makefile.in.org 2007-04-24 18:40:50.000000000 +0200
++++ ./GEOM_SRC_3.2.6/doc/salome/gui/Makefile.in 2008-01-07 12:00:47.000000000 +0100
+@@ -29,7 +29,7 @@
+ @COMMENCE@
+
+ usr_docs:
+- cp -fr $(srcdir)/GEOM ./
++# cp -fr $(srcdir)/GEOM ./
+ -find $(PWD) -name CVS -prune -exec rm -rf {} \;
+
+ docs: usr_docs
diff --git a/sci-misc/salome-geom/salome-geom-3.2.6.ebuild b/sci-misc/salome-geom/salome-geom-3.2.6.ebuild
new file mode 100644
index 000000000..27cb9c58d
--- /dev/null
+++ b/sci-misc/salome-geom/salome-geom-3.2.6.ebuild
@@ -0,0 +1,149 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+
+inherit autotools distutils eutils flag-o-matic toolchain-funcs versionator python multilib
+
+DESCRIPTION="SALOME : The Open Source Integration Platform for Numerical Simulation. GEOM component"
+HOMEPAGE="http://www.salome-platform.org"
+SRC_URI="salome-3.2.6.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+IUSE="doc opengl mpi debug"
+RESTRICT="fetch"
+
+RDEPEND="opengl? ( virtual/opengl )
+ mpi? ( sys-cluster/mpich2 )
+ debug? ( dev-util/cppunit )"
+
+DEPEND="${RDEPEND}
+ >=sci-misc/salome-kernel-3.2.6
+ >=sci-misc/salome-gui-3.2.6
+ <=dev-python/omniorbpy-2.6
+ <=net-misc/omniORB-4.1"
+
+# Note that Corba is apparently not optional in this module
+
+MODULE_NAME="GEOM"
+MY_S="${WORKDIR}/src${PV}/${MODULE_NAME}_SRC_${PV}"
+INSTALL_DIR="/opt/salome-${PV}/${MODULE_NAME}"
+GEOM_ROOT_DIR="/opt/salome-${PV}/${MODULE_NAME}"
+export OPENPBS="/usr"
+
+
+pkg_nofetch()
+{
+ einfo "You have to download manually the source code. You can download it from :"
+ einfo " http://www.salome-platform.org/download/dl326"
+ einfo ""
+ einfo "Put the archive in the \"/usr/portage/distfile\" directory and rename it \"salome-3.2.6.tar.gz\""
+}
+
+
+src_unpack()
+{
+ python_version
+ distutils_python_version
+ ewarn "Python 2.4 is highly recommended for Salome..."
+
+ if ! built_with_use sci-libs/vtk python ; then
+ die "You must rebuild sci-libs/vtk with python USE flag"
+ fi
+
+ unpack ${A}
+ cd "${MY_S}"
+ epatch "${FILESDIR}"/${P}.patch
+}
+
+
+src_compile()
+{
+ local myconf=""
+ cd "${MY_S}"
+ rm -r -f autom4te.cache
+ ./build_configure
+
+ # If vtk-5.O is used, include directory is named vtk-5.0 and not vtk
+ if has_version ">=sci-libs/vtk-5.0" ; then
+ einfo "vtk version 5 detected"
+ append-flags -I/usr/include/vtk-5.0
+ else
+ einfo "vtk version 4 or prior detected"
+ fi
+
+ # CXXFLAGS are slightly modified to allow the compilation of
+ # salome-geom with OpenCascade and gcc-4.1.x
+ if version_is_at_least "4.1" $(gcc-version) ; then
+ append-flags -ffriend-injection -fpermissive
+ fi
+
+ # Compiler and linker flags
+ if use amd64 ; then
+ append-flags -m64
+ fi
+
+ # Specifying --without-<flag> for mpich
+ # has the same effect as turning it on
+ # so we just ommit it if it's not required to turn it off
+ if use mpi ; then
+ myconf="${myconf} --with-mpich"
+ fi
+
+ # Configuration
+ econf --prefix=${INSTALL_DIR} \
+ --datadir=${INSTALL_DIR}/share/salome \
+ --docdir=${INSTALL_DIR}/doc/salome \
+ --infodir=${INSTALL_DIR}/share/info \
+ --libdir=${INSTALL_DIR}/$(get_libdir)/salome \
+ --with-python-site=${INSTALL_DIR}/$(get_libdir)/python${PYVER}/site-packages/salome \
+ --with-python-site-exec=${INSTALL_DIR}/$(get_libdir)/python${PYVER}/site-packages/salome \
+ ${myconf} \
+ $(use_enable debug ) \
+ $(use_enable !debug production ) \
+ $(use_with debug cppunit /usr ) \
+ $(use_with opengl opengl /usr) \
+ || die "configuration failed"
+
+ # Compilation
+ MAKEOPTS="-j1" emake || die "Compilation failed"
+}
+
+
+src_install()
+{
+ cd "${MY_S}"
+
+ # Installation
+ emake prefix="${D}/${INSTALL_DIR}" \
+ docdir="${D}/${INSTALL_DIR}/doc/salome" \
+ infodir="${D}/${INSTALL_DIR}/share/info" \
+ datadir="${D}/${INSTALL_DIR}/share/salome" \
+ libdir="${D}/${INSTALL_DIR}/$(get_libdir)/salome" \
+ pythondir="${D}/${INSTALL_DIR}/$(get_libdir)/python${PYVER}/site-packages" install \
+ || die "emake install failed"
+
+ if use amd64 ; then
+ dosym ${INSTALL_DIR}/lib64 ${INSTALL_DIR}/lib
+ fi
+
+ echo "${MODULE_NAME}_ROOT_DIR=${INSTALL_DIR}" > ./90${P}
+ echo "LDPATH=${INSTALL_DIR}/$(get_libdir)/salome" >> ./90${P}
+ echo "PATH=${INSTALL_DIR}/bin/salome" >> ./90${P}
+ echo "PYTHONPATH=${INSTALL_DIR}/$(get_libdir)/python${PYVER}/site-packages/salome" >> ./90${P}
+ doenvd 90${P}
+ rm adm_local/Makefile adm_local/unix/make_commence adm_local/unix/make_conclude adm_local/unix/make_omniorb
+ insinto "${INSTALL_DIR}"
+ doins -r adm_local
+ if use doc ; then
+ dodoc INSTALL LICENCE
+ fi
+}
+
+
+pkg_postinst() {
+ elog "Run \`env-update && source /etc/profile\`"
+ elog "now to set up the correct paths."
+ elog ""
+}